\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - 2D and 3D Linear Geometry Kernel

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Functions
CGAL::compare_y() (2D Circular Kernel)
CGAL::compare_y()

##

See Chapter 2D Circular Geometry Kernel.

#include <CGAL/global_functions_circular_kernel_2.h>

## Functions
template<typename CircularKernel >
Comparison_result | CGAL::compare_y (const CGAL::Circular_arc_point_2< CircularKernel > &p, const CGAL::Circular_arc_point_2< CircularKernel > &q)
| compares the \( y\)-coordinates of `p` and `q`.
template<typename CircularKernel >
Comparison_result | CGAL::compare_y (const CGAL::Circular_arc_point_2< CircularKernel > &p, const CGAL::Point_2< CircularKernel > &q)
| compares the \( y\)-coordinates of `p` and `q`.